
  <!DOCTYPE html>
  <html>
    <head>
      <title>Breadcrumbs.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Breadcrumbs/Breadcrumbs.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">84</td><td class="">84</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React from &#x27;react&#x27;;
import { Link } from &#x27;react-router-dom&#x27;;
import s from &#x27;./Breadcrumbs.module.scss&#x27;;

import { ReactComponent as CheckedIcon } from &#x27;../../pages/model-configuring/assets/checked.svg&#x27;;
import { ReactComponent as RemoveIcon } from &#x27;../../pages/model-configuring/assets/remove.svg&#x27;;
import clsx from &#x27;clsx&#x27;;

export interface BreadcrumbsProps {
  steps: { passed?: boolean; active?: boolean; to: string; title: string }[];
  title: React.ReactNode;
}

export const Breadcrumbs: React.FC&lt;BreadcrumbsProps&gt; = ({ title, steps }) =&gt; {
  return (
    &lt;div className={s.Breadcrumbs}&gt;
      &lt;div className={s.Breadcrumbs__title}&gt;{title}&lt;/div&gt;
      &lt;div className={s.Breadcrumbs__steps}&gt;
        {steps.map((step, idx) =&gt; {
          return (
            &lt;Link
              className={clsx(
                s.Breadcrumbs__step,
                step.passed &amp;&amp; s.Breadcrumbs__passedStep,
                step.active &amp;&amp; s.Breadcrumbs__activeStep,
                !step.passed &amp;&amp; s.Breadcrumbs__step_disabled
              )}
              key={step.title}
              to={step.to}
            &gt;
              {step.passed || step.active ? (
                &lt;CheckedIcon className={s.Breadcrumbs__icon} /&gt;
              ) : (
                &lt;RemoveIcon
                  className={clsx(
                    s.Breadcrumbs__icon,
                    s.Breadcrumbs__removeIcon
                  )}
                /&gt;
              )}
              {step.title}
            &lt;/Link&gt;
          );
        })}
      &lt;/div&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  